IM_MAKERW(3)

NAME
im_makerw - make an IMAGE writeable

SYNOPSIS
#include <vips/vips.h> int im_makerw( image )
IMAGE *image;

DESCRIPTION
im_makerw(3) attempts to make image writeable, ready for an in-place operation. Its actions are just as those for im_incheck(3), except that descriptors which after im_incheck(3) end up as IM_MMAPIN descriptors, magically become IM_MMAPINRW descriptors. Extreme caution is urged! You can permanently damage valuable data with this call.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_mmapin(3), im_mmapinrw(3), im_fastlineuser(3).

COPYRIGHT
National Gallery, 1992

AUTHOR
J. Cupitt